// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#include <eikstart.h>

#include "ContactReadFieldExternalInterface.h"
#include "ContactReadFieldApplication.h"
#include "ContactReadFieldDocument.h"

TUid CContactReadFieldApplication::AppDllUid() const
	{
	return KUidContactReadFieldApp;
	}

CApaDocument* CContactReadFieldApplication::CreateDocumentL()
	{
	return new (ELeave) CContactReadFieldDocument(*this);
	}

CApaApplication* NewApplication()
	{
	return new CContactReadFieldApplication();
	}
	
GLDEF_C TInt E32Main()
	{
	return EikStart::RunApplication(NewApplication);
	}

// End of File
